#
# spec file for package dleyna-renderer
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dleyna-renderer
Version:        0.6.0
Release:        lp150.1.1
Summary:        Discover and manipulate Digital Media Renderers
License:        LGPL-2.1
Group:          System/Libraries
Url:            http://01.org/dleyna
Source:         https://01.org/sites/default/files/downloads/dleyna/%{name}-%{version}.tar_2.gz

BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dleyna-core-1.0) >= 0.6.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.28
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(gssdp-1.0) >= 0.13.2
BuildRequires:  pkgconfig(gupnp-1.0) >= 0.20.5
BuildRequires:  pkgconfig(gupnp-av-1.0) >= 0.11.5
BuildRequires:  pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.28.2
Provides:       dbus(dleyna-renderer-service) = %{version}
Requires:       dleyna-connector(dbus)

%description
dleyna-renderer is a library for implementing services that allow clients to discover and manipulate
Digital Media Renderers. An implementation of such a service for linux is also included

%package devel
Summary:        Discover and manipulate Digital Media Renderers -- Development files
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}

%description devel
dleyna-renderer is a library for implementing services that allow clients to discover and manipulate
Digital Media Renderers. An implementation of such a service for linux is also included

%prep
%setup -q

%build
autoreconf -fi
%configure \
	--disable-static \
	%{nil}
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print

%files
%license COPYING
%doc ChangeLog README
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/com.intel.dleyna-renderer.service
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libdleyna-renderer-1.0.so.*
%{_libexecdir}/dleyna-renderer-service
%config %{_sysconfdir}/dleyna-renderer-service.conf

%files devel
%{_includedir}/dleyna-1.0/
%{_libdir}/%{name}/libdleyna-renderer-1.0.so
%{_libdir}/pkgconfig/dleyna-renderer-service-1.0.pc

%changelog
* Fri Feb 16 2018 bjorn.lie@gmail.com
- Update to version 0.6.0:
  + Ensure that g_context.watchers has a valid value.
  + Used core functionality dleyna_core_prv_convert_udn_to_path for
    persistent path.
  + [m4]:
  - Don't use bash arrays in m4 macros.
  - Don't use bash "let" builtin.
  - Use AS_VAR_APPEND macro instead of "+=".
  + Avoid any attempts to delete the same dlr_upnp_t twice.
  + Uninitialized argument value in prv_open_uri_cb.
- Do a minor spec cleanup, add missing COPYING.
- Add libtool BuildRequires and pass autoreconf, bootstrap tarball.
- Pass --disable-static to configure, ensure we do not build any
  static files.
* Sat May  2 2015 zaitor@opensuse.org
- Update to version 0.5.0:
  + [Deprecated API] Use new API instead of deprecated.
  + [Device]:
  - Free dlna class strings after use.
  - Update playspeed when rate is set.
  + [host-service] use push-host-port setting for the web server.
  + [upnp] use port setting when creating GUPnPContextManager.
  + [Autoconf]:
  - Add Math lib to link.
  - Sub Makefile: Remove ACLOCAL_AMFLAGS.
  + [daemon] use GLib signal handling.
  + [Configuration] Remove libdleyna-renderer .pc file.
* Mon Aug 25 2014 dimstar@opensuse.org
- Update to version 0.4.0:
  + Added support for Network filtering.
  + Settings can now be modified via d-Bus.
  + The OpenURI method now adheres to the MPRIS2 standard.
  + Use MIME Type from GUPnP-DLNA if available.
* Sat Sep 14 2013 dimstar@opensuse.org
- Update to version 0.1.3:
  + GetRenderers() should return an array of object paths "ao"
    instead of an array of strings "as".
  + dLeyna renderer can crash if renderer dissapears (7.2.8.4,6).
  + Fixed a build issue: [Build] Ship the internal library in a
    private directory.
- Drop libdleyna-rendere subpackage: this was not meant to be
  provided as a system lirary by upstream, but rather a private
  library. Thus, the lib has been moved to a private space
  (%%{libdir}/%%{name}/).
- As a consequence, no longer require libdleyna-renderer-1_0-1 from
  the -devel package.
- Require the main package from the -devel package (the private
  library still has a .so file which could result in a dangling
  symlink otherwise).
* Mon Aug 12 2013 dimstar@opensuse.org
- Initial package, version 0.1.1.
